# Uses of Interface
org.opensaml.soap.wstrust.Lifetime

Packages that use Lifetime
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Lifetime in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement Lifetime
Modifier and Type
Class
Description
`class`
`LifetimeImpl`
LifetimeImpl.
Methods in org.opensaml.soap.wstrust.impl that return Lifetime
Modifier and Type
Method
Description
`Lifetime`
LifetimeBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`Lifetime`
LifetimeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.